diff --git a/src/providers/ipa/ipa_subdomains_ext_groups.c b/src/providers/ipa/ipa_subdomains_ext_groups.c
index 6feca44..a3264fc 100644
--- a/src/providers/ipa/ipa_subdomains_ext_groups.c
+++ b/src/providers/ipa/ipa_subdomains_ext_groups.c
@@ -502,7 +502,7 @@ struct tevent_req *ipa_get_ad_memberships_send(TALLOC_CTX *mem_ctx,
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (subreq == NULL) {
         DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: %d(%s).\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -541,7 +541,7 @@ static void ipa_get_ad_memberships_connect_done(struct tevent_req *subreq)
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Failed to connect to IPA server: [%d](%s)\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
         }
 
         goto fail;
@@ -772,7 +772,7 @@ static struct tevent_req *ipa_add_ad_memberships_send(TALLOC_CTX *mem_ctx,
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (subreq == NULL) {
         DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: %d(%s).\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -810,7 +810,7 @@ static void ipa_add_ad_memberships_connect_done(struct tevent_req *subreq)
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Failed to connect to IPA server: [%d](%s)\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
         }
 
         tevent_req_error(req, ret);
@@ -897,7 +897,7 @@ static void ipa_add_ad_memberships_get_group_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Failed to read group [%s] from LDAP [%d](%s)\n",
-              state->groups[state->iter], ret, strerror(ret));
+              state->groups[state->iter], ret, sss_strerror(ret));
 
         tevent_req_error(req, ret);
         return;
diff --git a/src/providers/ipa/ipa_subdomains_id.c b/src/providers/ipa/ipa_subdomains_id.c
index 1c4c315..e744c86 100644
--- a/src/providers/ipa/ipa_subdomains_id.c
+++ b/src/providers/ipa/ipa_subdomains_id.c
@@ -442,7 +442,7 @@ store_homedir_of_user(struct sss_domain_info *domain,
     ret = sysdb_attrs_add_string(attrs, SYSDB_HOMEDIR, homedir);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE, "Error setting homedir: [%s]\n",
-                                     strerror(ret));
+                                     sss_strerror(ret));
         goto done;
     }
 
@@ -465,7 +465,7 @@ store_homedir_of_user(struct sss_domain_info *domain,
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Cannot commit sysdb transaction [%d]: %s.\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/providers/ipa/ipa_sudo.c b/src/providers/ipa/ipa_sudo.c
index 4863aa5..89f48e6 100644
--- a/src/providers/ipa/ipa_sudo.c
+++ b/src/providers/ipa/ipa_sudo.c
@@ -43,7 +43,7 @@ int ipa_sudo_init(struct be_ctx *be_ctx,
     ret = sdap_sudo_init(be_ctx, id_ctx->sdap_id_ctx, ops, pvt_data);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Cannot initialize LDAP SUDO [%d]: %s\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         return ret;
     }
 
diff --git a/src/providers/krb5/krb5_access.c b/src/providers/krb5/krb5_access.c
index 7fda2a3..1b01313 100644
--- a/src/providers/krb5/krb5_access.c
+++ b/src/providers/krb5/krb5_access.c
@@ -174,7 +174,7 @@ static void krb5_access_done(struct tevent_req *subreq)
     talloc_free(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "child failed [%d][%s].\n", ret, strerror(ret));
+              "child failed [%d][%s].\n", ret, sss_strerror(ret));
         goto fail;
     }
 
diff --git a/src/providers/krb5/krb5_auth.c b/src/providers/krb5/krb5_auth.c
index f539d50..166b8b4 100644
--- a/src/providers/krb5/krb5_auth.c
+++ b/src/providers/krb5/krb5_auth.c
@@ -140,14 +140,14 @@ static int krb5_mod_ccname(TALLOC_CTX *mem_ctx,
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "Error %d starting transaction (%s)\n", ret, strerror(ret));
+              "Error %d starting transaction (%s)\n", ret, sss_strerror(ret));
         goto done;
     }
     in_transaction = true;
 
     ret = sysdb_set_user_attr(domain, name, attrs, mod_op);
     if (ret != EOK) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -264,7 +264,7 @@ static void krb5_auth_cache_creds(struct krb5_ctx *krb5_ctx,
     ret = sss_authtok_get_password(pd->authtok, &password, NULL);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              "Failed to get password [%d] %s\n", ret, strerror(ret));
+              "Failed to get password [%d] %s\n", ret, sss_strerror(ret));
         *pam_status = PAM_SYSTEM_ERR;
         *dp_err = DP_ERR_OK;
         return;
@@ -362,7 +362,7 @@ static void krb5_auth_store_creds(struct sss_domain_info *domain,
 
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              "Failed to get password [%d] %s\n", ret, strerror(ret));
+              "Failed to get password [%d] %s\n", ret, sss_strerror(ret));
         /* password caching failures are not fatal errors */
         return;
     }
@@ -380,7 +380,7 @@ static void krb5_auth_store_creds(struct sss_domain_info *domain,
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Failed to cache password, offline auth may not work."
-                  " (%d)[%s]!?\n", ret, strerror(ret));
+                  " (%d)[%s]!?\n", ret, sss_strerror(ret));
         /* password caching failures are not fatal errors */
     }
 }
@@ -874,7 +874,7 @@ static void krb5_auth_done(struct tevent_req *subreq)
     } else if (ret != EOK) {
 
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "child failed (%d [%s])\n", ret, strerror(ret));
+              "child failed (%d [%s])\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -885,7 +885,7 @@ static void krb5_auth_done(struct tevent_req *subreq)
                         &res);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not parse child response [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
@@ -1309,7 +1309,7 @@ static void krb5_pam_handler_access_done(struct tevent_req *req)
     talloc_zfree(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "krb5_access request failed [%d][%s]\n", ret, strerror(ret));
+              "krb5_access request failed [%d][%s]\n", ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/providers/krb5/krb5_child.c b/src/providers/krb5/krb5_child.c
index 0980c7c..e1f9140 100644
--- a/src/providers/krb5/krb5_child.c
+++ b/src/providers/krb5/krb5_child.c
@@ -1101,7 +1101,7 @@ static errno_t changepw_child(struct krb5_req *kr, bool prelim)
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Failed to fetch current password [%d] %s.\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         return ERR_NO_CREDS;
     }
 
@@ -1152,7 +1152,7 @@ static errno_t changepw_child(struct krb5_req *kr, bool prelim)
     ret = sss_authtok_get_password(kr->pd->newauthtok, &newpassword, NULL);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Failed to fetch new password [%d] %s.\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         return ERR_NO_CREDS;
     }
 
diff --git a/src/providers/krb5/krb5_common.c b/src/providers/krb5/krb5_common.c
index af38db0..c1931b7 100644
--- a/src/providers/krb5/krb5_common.c
+++ b/src/providers/krb5/krb5_common.c
@@ -197,7 +197,7 @@ errno_t check_and_export_options(struct dp_option *opts,
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Failed to check value of krb5_renewable_lifetime. [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -206,7 +206,7 @@ errno_t check_and_export_options(struct dp_option *opts,
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Failed to check value of krb5_lifetime. [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/providers/krb5/krb5_delayed_online_authentication.c b/src/providers/krb5/krb5_delayed_online_authentication.c
index 5f13eac..52116f8 100644
--- a/src/providers/krb5/krb5_delayed_online_authentication.c
+++ b/src/providers/krb5/krb5_delayed_online_authentication.c
@@ -91,7 +91,7 @@ static void authenticate_user(struct tevent_context *ev,
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "failed to set password in auth token [%d][%s].\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         return;
     }
 
@@ -272,7 +272,7 @@ errno_t add_user_to_delayed_online_authentication(struct krb5_ctx *krb5_ctx,
     ret = sss_authtok_get_password(new_pd->authtok, &password, &len);
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "Failed to get password [%d][%s].\n", ret, strerror(ret));
+              "Failed to get password [%d][%s].\n", ret, sss_strerror(ret));
         sss_authtok_set_empty(new_pd->authtok);
         talloc_free(new_pd);
         return ret;
diff --git a/src/providers/krb5/krb5_init.c b/src/providers/krb5/krb5_init.c
index f1c6310..f9f35f4 100644
--- a/src/providers/krb5/krb5_init.c
+++ b/src/providers/krb5/krb5_init.c
@@ -154,7 +154,7 @@ int sssm_krb5_auth_init(struct be_ctx *bectx,
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Could not initialize krb5_child settings: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto fail;
     }
 
diff --git a/src/providers/krb5/krb5_init_shared.c b/src/providers/krb5/krb5_init_shared.c
index 340eab1..44b6da9 100644
--- a/src/providers/krb5/krb5_init_shared.c
+++ b/src/providers/krb5/krb5_init_shared.c
@@ -87,7 +87,7 @@ errno_t krb5_child_init(struct krb5_ctx *krb5_auth_ctx,
         ret = open_debug_file_ex(KRB5_CHILD_LOG_FILE, &debug_filep, false);
         if (ret != EOK) {
             DEBUG(SSSDBG_FATAL_FAILURE, "Error setting up logging (%d) [%s]\n",
-                    ret, strerror(ret));
+                    ret, sss_strerror(ret));
             goto done;
         }
 
diff --git a/src/providers/krb5/krb5_utils.c b/src/providers/krb5/krb5_utils.c
index 0734310..4d7d949 100644
--- a/src/providers/krb5/krb5_utils.c
+++ b/src/providers/krb5/krb5_utils.c
@@ -156,7 +156,7 @@ errno_t check_if_cached_upn_needs_update(struct sysdb_ctx *sysdb,
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Error %d starting transaction (%s)\n", ret, strerror(ret));
+              "Error %d starting transaction (%s)\n", ret, sss_strerror(ret));
         goto done;
     }
     in_transaction = true;
@@ -166,7 +166,7 @@ errno_t check_if_cached_upn_needs_update(struct sysdb_ctx *sysdb,
                                                               SYSDB_MOD_REP);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "sysdb_set_entry_attr failed [%d][%s].\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/providers/ldap/ldap_child.c b/src/providers/ldap/ldap_child.c
index e2fe3f2..d6dc60d 100644
--- a/src/providers/ldap/ldap_child.c
+++ b/src/providers/ldap/ldap_child.c
@@ -513,7 +513,7 @@ int main(int argc, const char *argv[])
     ret = unpack_buffer(buf, len, ibuf);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "unpack_buffer failed.[%d][%s].\n", ret, strerror(ret));
+              "unpack_buffer failed.[%d][%s].\n", ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -530,7 +530,7 @@ int main(int argc, const char *argv[])
     ret = prepare_response(main_ctx, ccname, expire_time, kerr, &resp);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "prepare_response failed. [%d][%s].\n",
-                    ret, strerror(ret));
+                    ret, sss_strerror(ret));
         goto fail;
     }
 
diff --git a/src/providers/ldap/ldap_common.c b/src/providers/ldap/ldap_common.c
index 8133431..da86325 100644
--- a/src/providers/ldap/ldap_common.c
+++ b/src/providers/ldap/ldap_common.c
@@ -885,7 +885,7 @@ sdap_attrs_get_sid_str(TALLOC_CTX *mem_ctx,
     if (ret != EOK || el->num_values != 1) {
         DEBUG(SSSDBG_TRACE_LIBS,
               "No [%s] attribute. [%d][%s]\n",
-               sid_attr, el->num_values, strerror(ret));
+               sid_attr, el->num_values, sss_strerror(ret));
         return ENOENT;
     }
 
diff --git a/src/providers/ldap/ldap_id.c b/src/providers/ldap/ldap_id.c
index c788b6b..4bcf77f 100644
--- a/src/providers/ldap/ldap_id.c
+++ b/src/providers/ldap/ldap_id.c
@@ -1218,7 +1218,7 @@ static void sdap_check_online_reinit_done(struct tevent_req *req)
     talloc_zfree(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Unable to perform reinitialization "
-              "clean up [%d]: %s\n", ret, strerror(ret));
+              "clean up [%d]: %s\n", ret, sss_strerror(ret));
         /* not fatal */
     } else {
         DEBUG(SSSDBG_TRACE_FUNC, "Reinitialization clean up completed\n");
diff --git a/src/providers/ldap/ldap_id_cleanup.c b/src/providers/ldap/ldap_id_cleanup.c
index 6b0bead..cea3363 100644
--- a/src/providers/ldap/ldap_id_cleanup.c
+++ b/src/providers/ldap/ldap_id_cleanup.c
@@ -404,7 +404,7 @@ static int cleanup_groups(TALLOC_CTX *memctx,
             ret = sysdb_delete_group(domain, name, 0);
             if (ret) {
                 DEBUG(SSSDBG_OP_FAILURE, "Group delete returned %d (%s)\n",
-                          ret, strerror(ret));
+                          ret, sss_strerror(ret));
                 goto done;
             }
         }
diff --git a/src/providers/ldap/ldap_init.c b/src/providers/ldap/ldap_init.c
index 9960fd3..45dcc9b 100644
--- a/src/providers/ldap/ldap_init.c
+++ b/src/providers/ldap/ldap_init.c
@@ -146,7 +146,7 @@ static int ldap_id_init_internal(struct be_ctx *bectx,
             if (ret !=  EOK) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
                       "sdap_gssapi_init failed [%d][%s].\n",
-                            ret, strerror(ret));
+                            ret, sss_strerror(ret));
                 goto done;
             }
         }
@@ -155,7 +155,7 @@ static int ldap_id_init_internal(struct be_ctx *bectx,
     ret = setup_tls_config(ctx->opts->basic);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "setup_tls_config failed [%d][%s].\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -166,7 +166,7 @@ static int ldap_id_init_internal(struct be_ctx *bectx,
     ret = sdap_setup_child();
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "setup_child failed [%d][%s].\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -174,7 +174,7 @@ static int ldap_id_init_internal(struct be_ctx *bectx,
     ret = be_fo_set_dns_srv_lookup_plugin(bectx, NULL);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Unable to set SRV lookup plugin "
-                                    "[%d]: %s\n", ret, strerror(ret));
+                                    "[%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -185,7 +185,7 @@ static int ldap_id_init_internal(struct be_ctx *bectx,
                             ctx);
     if (ret != EOK && ret != EEXIST) {
         DEBUG(SSSDBG_MINOR_FAILURE, "Periodical refresh of netgroups "
-              "will not work [%d]: %s\n", ret, strerror(ret));
+              "will not work [%d]: %s\n", ret, sss_strerror(ret));
     }
 
     *ops = &sdap_id_ops;
@@ -211,7 +211,7 @@ int sssm_ldap_id_init(struct be_ctx *bectx,
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "ldap_id_init_internal failed [%d][%s].\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
@@ -219,7 +219,7 @@ int sssm_ldap_id_init(struct be_ctx *bectx,
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "sdap_id_setup_tasks failed [%d][%s].\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
@@ -459,7 +459,7 @@ int sssm_ldap_sudo_init(struct be_ctx *be_ctx,
     ret = ldap_id_init_internal(be_ctx, ops, &data);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Cannot init LDAP ID provider [%d]: %s\n",
-                                    ret, strerror(ret));
+                                    ret, sss_strerror(ret));
         return ret;
     }
 
@@ -489,7 +489,7 @@ int sssm_ldap_autofs_init(struct be_ctx *be_ctx,
     ret = ldap_id_init_internal(be_ctx, ops, &data);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Cannot init LDAP ID provider [%d]: %s\n",
-                                    ret, strerror(ret));
+                                    ret, sss_strerror(ret));
         return ret;
     }
 
diff --git a/src/providers/ldap/sdap.c b/src/providers/ldap/sdap.c
index 9231cc2..8c04a21 100644
--- a/src/providers/ldap/sdap.c
+++ b/src/providers/ldap/sdap.c
@@ -1201,7 +1201,7 @@ int sdap_get_server_opts_from_rootdse(TALLOC_CTX *memctx,
             DEBUG(SSSDBG_MINOR_FAILURE,
                   "Error detecting Active Directory compatibility level "
                    "(%s). Continuing without AD performance enhancements\n",
-                   strerror(ret));
+                   sss_strerror(ret));
         }
     }
 
diff --git a/src/providers/ldap/sdap_access.c b/src/providers/ldap/sdap_access.c
index 89d37e5..b4e0e75 100644
--- a/src/providers/ldap/sdap_access.c
+++ b/src/providers/ldap/sdap_access.c
@@ -796,7 +796,8 @@ static int sdap_access_filter_retry(struct tevent_req *req)
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (!subreq) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "sdap_id_op_connect_send failed: %d (%s)\n", ret, strerror(ret));
+              "sdap_id_op_connect_send failed: %d (%s)\n", ret,
+              sss_strerror(ret));
         return ret;
     }
 
diff --git a/src/providers/ldap/sdap_async.c b/src/providers/ldap/sdap_async.c
index 590cbe1..771ec17 100644
--- a/src/providers/ldap/sdap_async.c
+++ b/src/providers/ldap/sdap_async.c
@@ -1546,7 +1546,7 @@ static errno_t sdap_get_generic_parse_entry(struct sdap_handle *sh,
                            &attrs, disable_range_rtrvl);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              "sdap_parse_entry failed [%d]: %s\n", ret, strerror(ret));
+              "sdap_parse_entry failed [%d]: %s\n", ret, sss_strerror(ret));
         return ret;
     }
 
@@ -1758,7 +1758,7 @@ static errno_t sdap_x_deref_parse_entry(struct sdap_handle *sh,
                                dref, &res);
         if (ret) {
             DEBUG(SSSDBG_OP_FAILURE, "sdap_parse_deref failed [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
             goto done;
         }
 
@@ -2204,7 +2204,8 @@ static errno_t sdap_asq_search_parse_entry(struct sdap_handle *sh,
                                &res[mi]->attrs, disable_range_rtrvl);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  "sdap_parse_entry failed [%d]: %s\n", ret, strerror(ret));
+                  "sdap_parse_entry failed [%d]: %s\n",
+                  ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -2428,7 +2429,7 @@ static void sdap_posix_check_done(struct tevent_req *subreq)
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "sdap_get_generic_ext_recv failed [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
@@ -2567,7 +2568,8 @@ static void sdap_deref_search_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "dereference processing failed [%d]: %s\n", ret, strerror(ret));
+              "dereference processing failed [%d]: %s\n", ret,
+              sss_strerror(ret));
         if (ret == ENOTSUP) {
             sss_log(SSS_LOG_WARNING,
                 "LDAP server claims to support deref, but deref search failed. "
@@ -2576,7 +2578,8 @@ static void sdap_deref_search_done(struct tevent_req *subreq)
                 "configuration.");
             state->sh->disable_deref = true;
         } else {
-            sss_log(SSS_LOG_WARNING, "dereference processing failed : %s", strerror(ret));
+            sss_log(SSS_LOG_WARNING, "dereference processing failed : %s",
+                    sss_strerror(ret));
         }
         tevent_req_error(req, ret);
         return;
diff --git a/src/providers/ldap/sdap_async_autofs.c b/src/providers/ldap/sdap_async_autofs.c
index 1db8d20..6053847 100644
--- a/src/providers/ldap/sdap_async_autofs.c
+++ b/src/providers/ldap/sdap_async_autofs.c
@@ -289,7 +289,7 @@ automntmaps_process_members_send(TALLOC_CTX *mem_ctx,
     ret = automntmaps_process_members_next_base(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "search failed [%d]: %s\n", ret, strerror(ret));
+              "search failed [%d]: %s\n", ret, sss_strerror(ret));
         goto immediate;
     }
 
@@ -748,7 +748,7 @@ sdap_autofs_setautomntent_done(struct tevent_req *subreq)
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
                 "sdap_get_automntmap_recv failed [%d]: %s\n",
-                ret, strerror(ret));
+                ret, sss_strerror(ret));
         }
         tevent_req_error(req, ret);
         return;
@@ -853,7 +853,7 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_OP_FAILURE,
               "cache lookup for the map failed [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto done;
     }
 
@@ -891,7 +891,7 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
              "Cannot start sysdb transaction [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
     in_transaction = true;
@@ -901,7 +901,7 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
              "Cannot save autofs map entry [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
@@ -913,7 +913,7 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Cannot save autofs entries [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -925,7 +925,7 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Cannot delete autofs entries [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -935,7 +935,7 @@ sdap_autofs_setautomntent_save(struct tevent_req *req)
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
              "Cannot commit sysdb transaction [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
     in_transaction = false;
@@ -947,7 +947,7 @@ done:
         if (tret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
                 "Cannot cancel sysdb transaction [%d]: %s\n",
-                ret, strerror(ret));
+                ret, sss_strerror(ret));
         }
     }
     talloc_zfree(tmp_ctx);
diff --git a/src/providers/ldap/sdap_async_connection.c b/src/providers/ldap/sdap_async_connection.c
index a1f78c0..41ecbf4 100644
--- a/src/providers/ldap/sdap_async_connection.c
+++ b/src/providers/ldap/sdap_async_connection.c
@@ -1205,7 +1205,7 @@ static void sdap_kinit_done(struct tevent_req *subreq)
     } else if (ret != EOK) {
         /* A severe error while executing the child. Abort the operation. */
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "child failed (%d [%s])\n", ret, strerror(ret));
+              "child failed (%d [%s])\n", ret, sss_strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
diff --git a/src/providers/ldap/sdap_async_enum.c b/src/providers/ldap/sdap_async_enum.c
index 1c69c07..791afab 100644
--- a/src/providers/ldap/sdap_async_enum.c
+++ b/src/providers/ldap/sdap_async_enum.c
@@ -166,7 +166,7 @@ static bool sdap_dom_enum_ex_connected(struct tevent_req *subreq)
         } else {
             DEBUG(SSSDBG_MINOR_FAILURE,
                   "Domain enumeration failed to connect to " \
-                   "LDAP server: (%d)[%s]\n", ret, strerror(ret));
+                   "LDAP server: (%d)[%s]\n", ret, sss_strerror(ret));
             tevent_req_error(req, ret);
         }
         return false;
diff --git a/src/providers/ldap/sdap_async_groups_ad.c b/src/providers/ldap/sdap_async_groups_ad.c
index 8db587c..b21742d 100644
--- a/src/providers/ldap/sdap_async_groups_ad.c
+++ b/src/providers/ldap/sdap_async_groups_ad.c
@@ -77,7 +77,7 @@ sdap_get_ad_match_rule_members_send(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Could not build attribute map: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto immediate;
     }
 
@@ -86,7 +86,7 @@ sdap_get_ad_match_rule_members_send(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Could not retrieve originalDN for group: %s\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto immediate;
     }
 
@@ -95,7 +95,7 @@ sdap_get_ad_match_rule_members_send(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "Could not sanitize group DN: %s\n",
-               strerror(ret));
+              sss_strerror(ret));
         goto immediate;
     }
 
@@ -120,7 +120,7 @@ sdap_get_ad_match_rule_members_send(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "sdap_get_ad_match_rule_members_next_base failed: [%s]\n",
-               strerror(ret));
+              sss_strerror(ret));
         goto immediate;
     }
 
